<?php

namespace General\Models\LandingPage;

use General\Models\Report\BaiDuAdAccount;
use Illuminate\Database\Eloquent\Model;

/**
 * @property-read BaiDuAdAccount $adAccount;
 */
class LandingPageLink extends Model
{
    protected  $table = 'out_platform_landing_page_links';
    protected  $fillable = [
        'name',
        'channel_id',
        'title',
        'appid',
        'gzh_code',
        'gzh_name',
        'gzh_img',
        'gzh_suffix_mode',
        'gzh_suffix',
        'sub_img',
        'company_name',
        'domain',
        'bottom_content',
        'status',
        'content',
        'content_path',
        'remark',
        'cdn_link',
        'link_source',
        'config',
        'adid',
    ];

    /**
     * 广告账号
     */
    public function adAccount()
    {
        return $this->hasOne(BaiDuAdAccount::class, 'id', 'adid');
    }
}
